/*

This program and source is licensed under the 

	GNU GENERAL PUBLIC LICENSE 
	
as in the included LICENSE.TXT or located at
http://www.gnu.org/licenses/gpl.txt

*/

#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include <stdio.h>
#include <math.h>
#include <string.h>

#include <stdarg.h>

#include "trace.h"

#define TRACING(X) (0 != ((X) & TraceFlags))

//
//	Compile time trace verbosity selection
//

static ULONG TraceFlags = TRACE_INFO | TRACE_ERROR;

VOID
TracePrint(
    ULONG Level,
    PCHAR Format,
    ...
    )
{
    if (TRACING( Level)) {

        va_list arglist;

        va_start(arglist, Format);

        vprintf( Format, arglist );

        va_end( arglist);
    }
}


VOID
DumpHex(
    IN ULONG Level,
    IN PVOID Buffer,
    IN ULONG Length
    )
{
    ULONG N;
    PUCHAR CurrentByte = Buffer;

	if (TRACING(Level)) {

		for (N = 0; N < Length; ++N) {

			TracePrint(Level,"0x%x ", CurrentByte[N]);
		}

		TracePrint(Level,"\n");
	}
}


